Debian Bug report logs - #487738
parted should handle MTD devices

version graph

Package: libparted1.8-udeb; Maintainer for libparted1.8-udeb is (unknown);

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Mon, 23 Jun 2008 20:09:02 UTC

Severity: wishlist

Tags: d-i

Found in version parted/1.8.8.git.2008.03.24-7

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#487738; Package libparted1.8-udeb. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: fails on ARM, maybe related to /dev/mtd
Date: Mon, 23 Jun 2008 22:05:56 +0200
Package: libparted1.8-udeb
Version: 1.8.8.git.2008.03.24-7
Severity: serious

d-i no longer works on ARM - starting partitioner hangs at 41% after
showing some messages.

Starting up the partitioner ├─────────────────────────────────────────────┐
  │
  │
  │                                                           41%                                                          
glibc detected *** parted_server: double free or corruption (!prev): 0x00020c00 ***                                │
  │                                                                                        ======= Backtrace: =========    │
  └────────────────────────────────────────────────────────────────────────────────────────────────────────────────────/lib/libc.so.6[0x4014b098]
                  /lib/libparted-1.8.so.9(ped_device_read+0x204)[0x400306e8]
                                                                            /lib/libparted-1.8.so.9[0x400946a8]
                                                                                                               /lib/libparted-1.8.so.9(ped_disk_probe+0xe4)[0x400370b8]
                                        /lib/libparted-1.8.so.9(ped_disk_new+0xa8)[0x400371e0]
                                                                                              parted_server[0x10dc0]
                                                                                                                    ======= Memory map: ========
                 00008000-00018000 r-xp 00000000 00:01 5628       /bin/parted_server
                                                                                    0001f000-00020000 rw-p 0000f000 00:01 5628       /bin/parted_server
                        00020000-00041000 rwxp 00020000 00:00 0          [heap]
                                                                               40000000-4001d000 r-xp 00000000 00:01 5094       /lib/ld-2.7.so
               4001d000-40024000 rw-p 4001d000 00:00 0
                                                       40024000-40026000 rw-p 0001c000 00:01 5094       /lib/ld-2.7.so
                                                                                                                      40026000-400c5000 r-xp 00000000 00:01 5159       /lib/libparted-1.8.so.9.0.0
                                                                   400c5000-400cc000 ---p 0009f000 00:01 5159       /lib/libparted-1.8.so.9.0.0
                400cc000-400ce000 rw-p 0009e000 00:01 5159       /lib/libparted-1.8.so.9.0.0
                                                                                            400ce000-400cf000 rw-p 400ce000 00:00 0
     400cf000-400db000 r-xp 00000000 00:01 587        /lib/libgcc_s.so.1
                                                                        400db000-400e2000 ---p 0000c000 00:01 587        /lib/libgcc_s.so.1
            400e2000-400e3000 rw-p 0000b000 00:01 587        /lib/libgcc_s.so.1
                                                                               400e3000-401fd000 r-xp 00000000 00:01 5098       /lib/libc-2.7.so
                 401fd000-40204000 ---p 0011a000 00:01 5098       /lib/libc-2.7.so
                                                                                  40204000-40205000 r--p 00119000 00:01 5098       /lib/libc-2.7.so
                    40205000-40207000 rw-p 0011a000 00:01 5098       /lib/libc-2.7.so
                                                                                     40207000-4020a000 rw-p 40207000 00:00 0
                                                                                                                             4020a000-4020c000 r-xp 00000000 00:01 5096       /lib/libdl-2.7.so
                                                                4020c000-40213000 ---p 00002000 00:01 5096       /lib/libdl-2.7.so
   40213000-40214000 r--p 00001000 00:01 5096       /lib/libdl-2.7.so
                                                                     40214000-40215000 rw-p 00002000 00:01 5096       /lib/libdl-2.7.so
        40215000-40228000 r-xp 00000000 00:01 5135       /lib/libdevmapper.so.1.02.1
                                                                                    40228000-4022f000 ---p 00013000 00:01 5135       /lib/libdevmapper.so.1.02.1
                                 4022f000-40231000 rw-p 00012000 00:01 5135       /lib/libdevmapper.so.1.02.1
                                                                                                             40231000-40234000 r-xp 00000000 00:01 5211       /lib/libuuid.so.1.2
                                                  40234000-4023b000 ---p 00003000 00:01 5211       /lib/libuuid.so.1.2
                                                                                                                      4023b000-4023c000 rw-p 00002000 00:01 5211       /lib/libuuid.so.1.2
                                                           4023c000-4023d000 rw-p 4023c000 00:00 0
                                                                                                   bed7b000-bed90000 rw-p befeb000 00:00 0          [stack]

The parted log makes me wonder whether this is related to /dev/mtd:

----------------------
/bin/partman: *******************************************************
/lib/partman/init.d/30parted:
*******************************************************
parted_server: ======= Starting the server
parted_server: main_loop: iteration 1
parted_server: Opening infifo
/lib/partman/init.d/30parted: IN: OPEN =dev=sda /dev/sda
parted_server: Read command: OPEN
parted_server: command_open()
parted_server: Request to open =dev=sda
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT: OK


parted_server: Note =dev=sda as unchanged
parted_server: Closing infifo and outfifo
parted_server: main_loop: iteration 2
parted_server: Opening infifo
/lib/partman/init.d/30parted: IN: OPEN =dev=mtdblock0 /dev/mtdblock0
parted_server: Read command: OPEN
parted_server: command_open()
parted_server: Request to open =dev=mtdblock0
parted_server: Opening outfifo
parted_server: OUT: OK


parted_server: OUT: OK


-------------------------------------------

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#487738; Package libparted1.8-udeb. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 487738@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 487738@bugs.debian.org
Subject: mtd
Date: Thu, 26 Jun 2008 19:30:03 +0200
I should mention that I tried a daily d-i on a different ARM board
that also has mtd (but only one device) and there it worked correctly.

I can still reproduce this bug on this particular device though.

-- 
Martin Michlmayr
http://www.cyrius.com/




Tags added: d-i Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 26 Jun 2008 17:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#487738; Package libparted1.8-udeb. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 487738@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 487738@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Only affects 1 out of 3 machines
Date: Fri, 27 Jun 2008 13:57:17 +0200
severity 487738 important
thanks

Let's downgrade this bug since it only affects 1 out of 3 machines
I've tested it on.

Would still be good to get it fixed, though.
-- 
Martin Michlmayr
http://www.cyrius.com/




Severity set to `important' from `serious' Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 27 Jun 2008 12:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#487738; Package libparted1.8-udeb. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #24 received at 487738@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: 487738@bugs.debian.org
Subject: Re: Bug#487738: Only affects 1 out of 3 machines
Date: Sun, 20 Jul 2008 11:19:37 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jun 27, 2008 at 01:57:17PM +0200, Martin Michlmayr wrote:
> Let's downgrade this bug since it only affects 1 out of 3 machines
> I've tested it on.
> 
> Would still be good to get it fixed, though.

Does it still happen since MTD devices are skipped during partman
initialization?  (Uploaded with partman-base 122)

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#487738; Package libparted1.8-udeb. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #29 received at 487738@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 487738@bugs.debian.org
Subject: Re: Bug#487738: Only affects 1 out of 3 machines
Date: Sun, 20 Jul 2008 13:32:21 +0300
* Jérémy Bobbio <lunar@debian.org> [2008-07-20 11:19]:
> > Let's downgrade this bug since it only affects 1 out of 3 machines
> > I've tested it on.
> > 
> > Would still be good to get it fixed, though.
> 
> Does it still happen since MTD devices are skipped during partman
> initialization?  (Uploaded with partman-base 122)

It's not a problem in d-i anymore, but the bug in parted is still
there.
-- 
Martin Michlmayr
http://www.cyrius.com/




Severity set to `wishlist' from `important' Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sun, 20 Jul 2008 20:12:05 GMT) Full text and rfc822 format available.

Changed Bug title to `parted should handle MTD devices' from `fails on ARM, maybe related to /dev/mtd'. Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sun, 20 Jul 2008 20:12:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:24:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.